Issue for bi_generic_import (#4,669)
Status: OPEN
Date: 11/11/2021
ID: 4,669
S/O number: SO2021/1713136
Reviewer: Hiral Bhatt
Module Name: bi_generic_import
Version: 14.0
Tags:

Assigned to
Contact
Tirth Mehta
tirth.mehta@browseinfo.in

Description
Error:

Odoo Server Error



Traceback (most recent call last):

File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

result = request.dispatch()

File "/usr/lib/python3/dist-packages/odoo/http.py", line 684, in dispatch

result = self._call_function(**self.params)

File "/usr/lib/python3/dist-packages/odoo/http.py", line 360, in _call_function

return checked_call(self.db, *args, **kwargs)

File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 94, in wrapper

return f(dbname, *args, **kwargs)

File "/usr/lib/python3/dist-packages/odoo/http.py", line 348, in checked_call

result = self.endpoint(*a, **kw)

File "/usr/lib/python3/dist-packages/odoo/http.py", line 913, in __call__

return self.method(*args, **kw)

File "/usr/lib/python3/dist-packages/odoo/http.py", line 532, in response_wrap

response = f(*args, **kw)

File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1393, in call_button

action = self._call_kw(model, method, args, kwargs)

File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1381, in _call_kw

return call_kw(request.env[model], method, args, kwargs)

File "/usr/lib/python3/dist-packages/odoo/api.py", line 396, in call_kw

result = _call_kw_multi(method, model, args, kwargs)

File "/usr/lib/python3/dist-packages/odoo/api.py", line 383, in _call_kw_multi

result = method(recs, *args, **kwargs)

File "/usr/lib/python3/dist-packages/odoo/addons/bi_generic_import/models/stock.py", line 420, in import_csv

values.update({'code':line[0],'quantity':line[1],'UOM':line[2],'lot':line[3],'line_location_id':line[4]})

Exception



The above exception was the direct cause of the following exception:



Traceback (most recent call last):

File "/usr/lib/python3/dist-packages/odoo/http.py", line 640, in _handle_exception

return super(JsonRequest, self)._handle_exception(exception)

File "/usr/lib/python3/dist-packages/odoo/http.py", line 316, in _handle_exception

raise exception.with_traceback(None) from new_cause

IndexError: list index out of range

can you please send me an excel template so I can try, maybe from my excel sheet

Message and communication history